Desarrolladores

Verificar un endpoint de webhook

POST
/webhooks/endpoints/{endpointId}/verify

Envía un desafío webhook.verification firmado a un endpoint sin verificar, que debe devolverlo; si lo hace, el endpoint queda activo. Un fallo responde 400 con details.reason.

Autorización

headerAutorizaciónBearer <token>

Una API Key creada en la configuración de la cuenta, enviada como Authorization: Bearer <key>. Incluye los Scopes seleccionados al crearla.

Parámetros de ruta

endpointId*string
Longitud1 <= length

Cuerpo de la respuesta

Correcto.

application/json
  1. response
id*string
url*string
eventTypes*array<>
status*string
Valor en"unverified""active""disabled"
createdAt*string
Patrón^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatodate-time
updatedAt*string
Patrón^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatodate-time
Solicitud de ejemplo
curl -X POST 'https://ximagesplitter.com/api/v1/webhooks/endpoints/string/verify'
Respuesta de ejemplo
{
  "id": "string",
  "url": "string",
  "eventTypes": [
    "generation.queued"
  ],
  "status": "unverified",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}